SET ECHO ON
SPOOL sggr#37191.lst
SET DEFINE OFF;

--- Gegevens uit veld opdrachttitel (kenmerk 121) overzetten naar onderwerp van de melding (indien leeg!)
-- Standaard meldingen: nieuwe opdracht (101), uitbreiding opdracht (122), nieuw abonnement (161), wijziging abonnement (162)
UPDATE mld_melding m
   SET m.mld_melding_onderwerp =
          (SELECT k.mld_kenmerkmelding_waarde
             FROM mld_kenmerkmelding k
            WHERE m.mld_melding_key = k.mld_melding_key
                  AND k.mld_kenmerk_key = 121)
 WHERE m.mld_stdmelding_key in (101, 122, 161, 162) AND mld_melding_onderwerp IS NULL;

-- Nu nog handmatig flexveld Opdrachttitel verwijderen bij deze meldingen

BEGIN adm.systrackscriptId('$Id$', 0); END;
/
COMMIT;
SPOOL OFF
